Results 1 to 4 of 4

Thread: Metasploit 3 Error?

  1. #1
    Just burned his ISO
    Join Date
    Jun 2010
    Posts
    4

    Default Metasploit 3 Error?

    I have recently been trying to use SET but for some reason the Handler never starts. I have narrowed the problem down to Metasploit 3. When I go to open the MSF Framework 3 console, I get this:

    Code:
    bt framework3 # ./msfconsole
    (eval):43:in `read': No such file or directory - /pentest/exploits/framework3/data/php/bind_tcp.php (Errno::ENOENT)
            from (eval):43:in `generate'
            from /pentest/exploits/framework3/lib/msf/core/payload.rb:163:in `size'
            from /pentest/exploits/framework3/lib/msf/core/payload_set.rb:168:in `recalculate'
            from /pentest/exploits/framework3/lib/msf/core/payload_set.rb:113:in `each_pair'
            from /pentest/exploits/framework3/lib/msf/core/payload_set.rb:113:in `recalculate'
            from /pentest/exploits/framework3/lib/msf/core/payload_set.rb:109:in `each_pair'
            from /pentest/exploits/framework3/lib/msf/core/payload_set.rb:109:in `recalculate'
            from /pentest/exploits/framework3/lib/msf/core/module_manager.rb:866:in `load_modules'
            from /pentest/exploits/framework3/lib/msf/core/module_manager.rb:865:in `each_key'
            from /pentest/exploits/framework3/lib/msf/core/module_manager.rb:865:in `load_modules'
            from /pentest/exploits/framework3/lib/msf/core/module_manager.rb:632:in `add_module_path'
            from /pentest/exploits/framework3/lib/msf/base/simple/framework.rb:111:in `simplify'
            from /pentest/exploits/framework3/lib/msf/base/simple/framework.rb:70:in `create'
            from /pentest/exploits/framework3/lib/msf/ui/console/driver.rb:85:in `initialize'
            from ./msfconsole:112:in `new'
            from ./msfconsole:112
    I'm not sure why this is happening! Can anybody help?

  2. #2
    Junior Member
    Join Date
    Jan 2010
    Posts
    80

    Default Re: Metasploit 3 Error?

    try reinstalling the framework?
    proud user of backtrack-ng and aircrack-linux

  3. #3
    Moderator KMDave's Avatar
    Join Date
    Jan 2010
    Posts
    2,281

    Default Re: Metasploit 3 Error?

    Did you modify the installation in any way? Usually it works out of the box.

    Just tried it with both a vanilla BT4 installation and one just upgraded.
    Tiocfaidh ár lá

  4. #4
    Good friend of the forums espreto's Avatar
    Join Date
    Mar 2010
    Location
    Brazil
    Posts
    303

    Default Re: Metasploit 3 Error?

    Made any change msf?
    What revision are you using?
    Have you tried running the command "svn update"?

    Regards,
    (gdb) disass m(y_br)ain

    ®

Similar Threads

  1. Metasploit camrecorder.rb error
    By pieface in forum Beginners Forum
    Replies: 6
    Last Post: 07-24-2010, 10:32 PM
  2. Metasploit Error
    By Lukeman in forum Beginners Forum
    Replies: 1
    Last Post: 03-22-2010, 04:46 PM
  3. metasploit db_create error
    By coldzero in forum OLD General IT Discussion
    Replies: 8
    Last Post: 10-30-2009, 06:54 AM
  4. metasploit -msfupdate error - svn : PROFIND request error
    By aisketui in forum OLD BT3beta Software related issues
    Replies: 2
    Last Post: 02-11-2009, 03:23 AM
  5. Metasploit 3: meterpreter error
    By 7327312 in forum OLD Newbie Area
    Replies: 1
    Last Post: 11-03-2008, 05:33 AM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •